# $Id: smeserver-coova-chilli.spec,v 1.1 2008/04/15 15:04:56 slords Exp $
# Authority: vip-ire
# Name: Daniel Berteaud

Summary: Coova-Chilli, a captive portal based on ChilliSpot configured for SME server
%define name smeserver-coova-chilli
Name: %{name}
%define version 0.1
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Remote access
Source: %{name}-%{version}.tar.gz
Patch1: smeserver-coova-chilli-0.1-bypass_auth_with_squid_fix.patch
Patch2: smeserver-coova-chilli-0.1-expand_masq_fix.patch
URL: http://sme.firewall-services.com
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-release >= 7.0 openssl coova-chilli
BuildRequires: e-smith-devtools >= 1.13.1-03

%description
This package allow you to configure a third interface
(eth2). Just plug a WiFi AP on it, and you'll have
a secured captive portal. Users will be redirected
on a logon page and they'll have to enter credentials
(sme accounts) before the server allows them. By default, 
they'll only have web access if they are members of the group "chilli" 

%changelog
* Tue Apr 15 2008 Daniel Berteaud <daniel@firewall-services.com>
- [0.1-1]
- security fixe: auth bypass with squid (patch1)
- masq template not expanded (patch2)

* Fri Apr 04 2008 Daniel Berteaud <daniel@firewall-services.com>
- [0.1]
- initiale release

%prep
%setup
%patch1 -p1
%patch2 -p1

%build
/usr/bin/perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
	--file /etc/chilli/conup.sh 'attr(0750,root,root)' \
	--file /etc/chilli/condown.sh 'attr(0750,root,root)' \
	> %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean 
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -e /opt/chilli ]; then
	/bin/cp -a /opt/chilli.rpmnew /opt/chilli
fi

%preun
if [ $1 == 0 ]; then
	/sbin/e-smith/db configuration setprop chilli status disabled
	/sbin/e-smith/signal-event chilli-update
fi

